<ng-container *ngIf="results$ | async as results">
  <ng-container *ngIf="results.length > 0; else noResult">
    <mel-pagination-info [id]="'mel-pager'">
      <mel-pagination [id]="'mel-pager'" (pageChange)="onPageChange($event)"></mel-pagination>
    </mel-pagination-info>
    <div class="items">
      <ng-container *ngFor="let item of results | paginate: paginationConfig; trackBy: trackByFn">
        <ng-container *ngTemplateOutlet="itemTemplate; context: { $implicit: item }"></ng-container>
      </ng-container>
    </div>
    <mel-pagination [id]="'mel-pager'" (pageChange)="onPageChange($event)"></mel-pagination>
  </ng-container>
</ng-container>
<ng-template #noResult>
  <ng-container *ngTemplateOutlet="emptyTemplate"></ng-container>
</ng-template>
